Skip to Content
New release 12 available 🎉

Orders

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/ordersGET /v1/orders

Code samples

# You can also use wget curl -X GET /v1/orders \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/orders

Gets the orders based on the provided request parameters.

Parameters

NameInTypeRequiredDescription
selectquerystringfalsenone
filterquerystringfalsenone
includequerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","orders":[{"id":0,"orderNumber":"string","status":"string","processedBy":"string","purchaseOrder":"string","total":0.1,"currency":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","invoiceNumber":"string","paymentType":"string","paymentNumber":"string","paymentStatus":"string","paymentDate":"2019-08-24T14:15:22Z","description":"string","customerId":0,"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"resellerId":0}],"totalOrdersCount":0}
{ "success": true, "code": 0, "message": "string", "orders": [ { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } ], "totalOrdersCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetOrdersResponse

Authentication: API key (x-api-key).

POST/v1/ordersPOST /v1/orders

Code samples

# You can also use wget curl -X POST /v1/orders \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/orders

Inserts a new order.

Body parameter

{ "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.InsertOrderRequestfalseThe request containing the details of the order to insert.

Example responses

200 Response

{"orderId":0,"success":true,"code":0,"message":"string","orderNumber":"string"}
{ "orderId": 0, "success": true, "code": 0, "message": "string", "orderNumber": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.InsertOrderResponse

Authentication: API key (x-api-key).

PUT/v1/ordersPUT /v1/orders

Code samples

# You can also use wget curl -X PUT /v1/orders \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/orders

Updates an existing order.

Body parameter

{ "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.UpdateOrderRequestfalseThe request containing the details of the order to update.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateOrderResponse

Authentication: API key (x-api-key).

DELETE/v1/orders/{orderId}DELETE /v1/orders/{orderId}

Code samples

# You can also use wget curl -X DELETE /v1/orders/{orderId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/orders/\{orderId\}

Deletes an existing order.

Parameters

NameInTypeRequiredDescription
orderIdpathinteger(int32)trueThe order ID.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteOrderResponse

Authentication: API key (x-api-key).

Last updated on